Subject: compiling G94 on a linux machine

From: [email-masked] (Joseph W. Bausch)
Date: Thu, 14 Aug 1997 05:47:17 -0500

Anybody out there wish to lend their expertise helping a semi-newbie get
G94 compiled on a linux machine?

OK, for those of you that are willing to read further!  Here is what we
have to the best of my knowledge.  DualPentiumPro w/ linux 2.0.30, f2c
version 960717, gcc version 2.7.2.2, and libc 5.4.33

These are supposedly higher versions than Gaussian's home page says we
need.  I have gotten G94 ver E2 off a 8 mm tape onto another unix machine
(my linux box doesn't have a tape drive), then ftp over the source.  I have
followed the instructions that came with the rev E2 exactly as they are
written, but the build part only runs a short while before stopping.  I
won't post the entire log file, but here are the first few lines.  I am
wondering if the last lines of this indicative of a problem with my libc?

uname -a
Linux linux 2.0.30 #5 Tue Aug 12 13:28:21 EDT 1997 i686
set makeflag =
set makename = make
setenv TMPDIR .
if ( (  ==  ) || (  == all ) ) then
@ dolink = 1
@ delexe = 1
@ doutil = 1
@ resutil = 0
else if ( (  == nolink ) || (  == utilonly ) ) then
@ doprof = 0
@ dop1 = 0
@ doi8 = 0
if (  == prof ) then
if (  == profi8 ) then
if (  == ibmp1 ) then
if (  == i8 ) then
if (  !=  ) then
if ( 0 && ( ! 1 ) ) then
set utilname=util.a
endif
if ( 1 ) then
touch delete_me.exe
rm -f -r delete_me.exe util.a
endif
if ( `hostname` == sun4 ) then
hostname
if ( -e /usr/convex/bin/cc ) then
cc -o gau-machine bsd/machine.c
 ./cca03508.i:1: numeric constant with no digits
 ./cca03508.i:1: numeric constant with no digits
 ./cca03508.i:1: invalid #line
 ./cca03508.i:51: numeric constant with no digits
 ./cca03508.i:51: numeric constant with no digits
 ./cca03508.i:51: invalid #line
 ./cca03508.i:82: numeric constant with no digits
 ./cca03508.i:82: numeric constant with no digits
 ./cca03508.i:82: invalid #line
 ./cca03508.i:216: numeric constant with no digits
 ./cca03508.i:216: numeric constant with no digits
 ./cca03508.i:216: invalid #line
 ./cca03508.i:240: numeric constant with no digits
 ./cca03508.i:240: numeric constant with no digits
 ./cca03508.i:240: invalid #line
 ./cca03508.i:259: numeric constant with no digits
 ./cca03508.i:259: numeric constant with no digits
 ./cca03508.i:259: invalid #line
 ./cca03508.i:261: numeric constant with no digits
 ./cca03508.i:261: numeric constant with no digits
 ./cca03508.i:261: invalid #line
 ./cca03508.i:278: numeric constant with no digits
 ./cca03508.i:278: numeric constant with no digits
 ./cca03508.i:278: invalid #line
 ./cca03508.i:299: numeric constant with no digits
 ./cca03508.i:299: numeric constant with no digits
 ./cca03508.i:299: invalid #line
 ./cca03508.i:318: parse error at null character
 ./cca03508.i:318: virtual memory exhausted
endif
(rest deleted)

If posting the rest of the log file is needed, I can do so.

Thanks for any help you can provide!

Joe

----------------------------------------------------------------------------
Joseph W. Bausch, Ph.D.
Assistant Professor of Chemistry
Department of Chemistry
Villanova University
Villanova, PA  19085-1699
Voice:  610-519-4872
FAX:    610-519-6347 (preferred) or 610-519-7167
Email:  [email-masked]
WWW:    http://rs6chem.vill.edu/faculty/bausch.htm
----------------------------------------------------------------------------